Show / Hide Table of Contents

# Class BeforeSslAuthenticateEventArgs

##### Inheritance

Object
EventArgs
BeforeSslAuthenticateEventArgs

##### Inherited Members

EventArgs.Empty
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class BeforeSslAuthenticateEventArgs : EventArgs

### Properties

#### DecryptSsl

##### Declaration

    public bool DecryptSsl { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### SniHostName

##### Declaration

    public string SniHostName { get; }

##### Property Value

Type | Description
--- | ---
String |

### Methods

#### TerminateSession()

##### Declaration

    public void TerminateSession()